import request from '@/utils/request'


export function createRegulatory(data) {
  return request({
    url: '/consulting/regulatory/',
    method: 'post',
    data
  })
}

export function getRegulatoryList(query) {
  return request({
    url: '/consulting/regulatory/',
    method: 'get',
    params: query
  })
}
export function deleteRegulatory(id) {
  return request({
    url: `/consulting/regulatory/${id}/`,
    method: 'delete'
  })
}
export function updateRegulatory(id, data) {
  return request({
    url: `/consulting/regulatory/${id}/`,
    method: 'put',
    data
  })
}